package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import java.util.Date;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class CashMemo extends GenericItem
{
    public static final String CASHMEMOSERIALNUMBER = "cashMemoSerialNumber";
    public static final String CASHMEMODATE = "cashMemoDate";
    public static final String OPERATORMOBILENUMBER = "operatorMobileNumber";
    public static final String OPERATORNAME = "operatorName";
    public static final String DISTCODE = "distCode";
    public static final String REFILLID = "refillId";
    public static final String CONSUMERNUMBER = "consumerNumber";
    public static final String LPGID = "lpgId";
    public static final String CONSUMERID = "consumerId";
    public static final String BOOKDATE = "bookDate";
    public static final String ORDERNO = "orderNo";
    public static final String CASHMEMONO = "cashMemoNo";
    public static final String CASHMEMOAMOUNT = "cashMemoAmount";
    public static final String PRODUCTNAME = "productName";
    public static final String CYLINDERQTY = "cylinderQty";
    public static final String CONSUMERNAME = "consumerName";
    public static final String CONSUMERADDRESS = "consumerAddress";
    public static final String AREAID = "areaId";
    public static final String AREA = "area";
    public static final String MOBILENUMBER = "mobileNumber";
    public static final String CONNECTIONTYPE = "connectionType";
    public static final String TUBEDATEINT = "tubeDateInt";
    public static final String INSPDATEINT = "inspDateInt";
    public static final String DELIVERYBOY = "deliveryBoy";
    public static final String PAYMENTMODE = "paymentMode";
    public static final String SCHEDULEDATE = "scheduleDate";
    public static final String ACTION = "action";
    public static final String PRODUCTCODE = "productCode";
    public static final String LATITUDE = "latitude";
    public static final String LONGITUDE = "longitude";
    public static final String DELIVERYSTATUS = "deliveryStatus";
    public static final String DELIVERYDATE = "deliveryDate";
    public static final String DELIVERYOTPCODE = "deliveryOTPCode";
    public static final String REFERENCEID = "referenceId";
    public static final String SENTTOLPGNXT = "sentToLPGNxt";
    public static final String DAYEND = "dayEnd";
    public static final String ALTERNATEMOBILE1 = "alternateMobile1";
    public static final String ALTERNATEMOBILE2 = "alternateMobile2";
    public static final String ALTERNATEMOBILE3 = "alternateMobile3";
    public static final String UNDELIVEREDREASON = "unDeliveredReason";
    public static final String OTPBLOCKEDTIME = "otpBlockedTime";
    public static final String OTPSENT = "otpSent";
    public static final String WRONGOTPCOUNTER = "wrongOTPCounter";
    public static final String LASTOTPRESENDTIME = "lastOTPResendTime";
    public static final String DGCC = "dgcc";
    public static final String BASERATE = "baseRate";
    public static final String DISCOUNT = "discount";
    public static final String DELIVERYCHARGE = "deliveryCharge";
    public static final String NETBASERATE = "netBaseRate";
    public static final String CGST = "cgst";
    public static final String CGSTPERCENT = "cgstPercent";
    public static final String SGST = "sgst";
    public static final String SGSTPERCENT = "sgstPercent";
    public static final String UTGST = "utgst";
    public static final String UTGSTPERCENT = "utgstPercent";
    public static final String SUBSIDYQUOTA = "subsidyQuota";
    public static final String ADVTOTALAMOUNT = "advTotalAmount";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return CashMemo.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public Character getAction(final SessionContext ctx) {
        return (Character)this.getProperty(ctx, "action".intern());
    }
    
    public Character getAction() {
        return this.getAction(this.getSession().getSessionContext());
    }
    
    public char getActionAsPrimitive(final SessionContext ctx) {
        final Character value = this.getAction(ctx);
        return (value != null) ? value : '\0';
    }
    
    public char getActionAsPrimitive() {
        return this.getActionAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setAction(final SessionContext ctx, final Character value) {
        this.setProperty(ctx, "action".intern(), (Object)value);
    }
    
    public void setAction(final Character value) {
        this.setAction(this.getSession().getSessionContext(), value);
    }
    
    public void setAction(final SessionContext ctx, final char value) {
        this.setAction(ctx, Character.valueOf(value));
    }
    
    public void setAction(final char value) {
        this.setAction(this.getSession().getSessionContext(), value);
    }
    
    public String getAdvTotalAmount(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "advTotalAmount".intern());
    }
    
    public String getAdvTotalAmount() {
        return this.getAdvTotalAmount(this.getSession().getSessionContext());
    }
    
    public void setAdvTotalAmount(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "advTotalAmount".intern(), (Object)value);
    }
    
    public void setAdvTotalAmount(final String value) {
        this.setAdvTotalAmount(this.getSession().getSessionContext(), value);
    }
    
    public String getAlternateMobile1(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "alternateMobile1".intern());
    }
    
    public String getAlternateMobile1() {
        return this.getAlternateMobile1(this.getSession().getSessionContext());
    }
    
    public void setAlternateMobile1(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "alternateMobile1".intern(), (Object)value);
    }
    
    public void setAlternateMobile1(final String value) {
        this.setAlternateMobile1(this.getSession().getSessionContext(), value);
    }
    
    public String getAlternateMobile2(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "alternateMobile2".intern());
    }
    
    public String getAlternateMobile2() {
        return this.getAlternateMobile2(this.getSession().getSessionContext());
    }
    
    public void setAlternateMobile2(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "alternateMobile2".intern(), (Object)value);
    }
    
    public void setAlternateMobile2(final String value) {
        this.setAlternateMobile2(this.getSession().getSessionContext(), value);
    }
    
    public String getAlternateMobile3(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "alternateMobile3".intern());
    }
    
    public String getAlternateMobile3() {
        return this.getAlternateMobile3(this.getSession().getSessionContext());
    }
    
    public void setAlternateMobile3(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "alternateMobile3".intern(), (Object)value);
    }
    
    public void setAlternateMobile3(final String value) {
        this.setAlternateMobile3(this.getSession().getSessionContext(), value);
    }
    
    public String getArea(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "area".intern());
    }
    
    public String getArea() {
        return this.getArea(this.getSession().getSessionContext());
    }
    
    public void setArea(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "area".intern(), (Object)value);
    }
    
    public void setArea(final String value) {
        this.setArea(this.getSession().getSessionContext(), value);
    }
    
    public Long getAreaId(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "areaId".intern());
    }
    
    public Long getAreaId() {
        return this.getAreaId(this.getSession().getSessionContext());
    }
    
    public long getAreaIdAsPrimitive(final SessionContext ctx) {
        final Long value = this.getAreaId(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getAreaIdAsPrimitive() {
        return this.getAreaIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setAreaId(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "areaId".intern(), (Object)value);
    }
    
    public void setAreaId(final Long value) {
        this.setAreaId(this.getSession().getSessionContext(), value);
    }
    
    public void setAreaId(final SessionContext ctx, final long value) {
        this.setAreaId(ctx, Long.valueOf(value));
    }
    
    public void setAreaId(final long value) {
        this.setAreaId(this.getSession().getSessionContext(), value);
    }
    
    public String getBaseRate(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "baseRate".intern());
    }
    
    public String getBaseRate() {
        return this.getBaseRate(this.getSession().getSessionContext());
    }
    
    public void setBaseRate(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "baseRate".intern(), (Object)value);
    }
    
    public void setBaseRate(final String value) {
        this.setBaseRate(this.getSession().getSessionContext(), value);
    }
    
    public Date getBookDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "bookDate".intern());
    }
    
    public Date getBookDate() {
        return this.getBookDate(this.getSession().getSessionContext());
    }
    
    public void setBookDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "bookDate".intern(), (Object)value);
    }
    
    public void setBookDate(final Date value) {
        this.setBookDate(this.getSession().getSessionContext(), value);
    }
    
    public Double getCashMemoAmount(final SessionContext ctx) {
        return (Double)this.getProperty(ctx, "cashMemoAmount".intern());
    }
    
    public Double getCashMemoAmount() {
        return this.getCashMemoAmount(this.getSession().getSessionContext());
    }
    
    public double getCashMemoAmountAsPrimitive(final SessionContext ctx) {
        final Double value = this.getCashMemoAmount(ctx);
        return (value != null) ? value : 0.0;
    }
    
    public double getCashMemoAmountAsPrimitive() {
        return this.getCashMemoAmountAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setCashMemoAmount(final SessionContext ctx, final Double value) {
        this.setProperty(ctx, "cashMemoAmount".intern(), (Object)value);
    }
    
    public void setCashMemoAmount(final Double value) {
        this.setCashMemoAmount(this.getSession().getSessionContext(), value);
    }
    
    public void setCashMemoAmount(final SessionContext ctx, final double value) {
        this.setCashMemoAmount(ctx, Double.valueOf(value));
    }
    
    public void setCashMemoAmount(final double value) {
        this.setCashMemoAmount(this.getSession().getSessionContext(), value);
    }
    
    public Date getCashMemoDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "cashMemoDate".intern());
    }
    
    public Date getCashMemoDate() {
        return this.getCashMemoDate(this.getSession().getSessionContext());
    }
    
    public void setCashMemoDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "cashMemoDate".intern(), (Object)value);
    }
    
    public void setCashMemoDate(final Date value) {
        this.setCashMemoDate(this.getSession().getSessionContext(), value);
    }
    
    public String getCashMemoNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "cashMemoNo".intern());
    }
    
    public String getCashMemoNo() {
        return this.getCashMemoNo(this.getSession().getSessionContext());
    }
    
    public void setCashMemoNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "cashMemoNo".intern(), (Object)value);
    }
    
    public void setCashMemoNo(final String value) {
        this.setCashMemoNo(this.getSession().getSessionContext(), value);
    }
    
    public Long getCashMemoSerialNumber(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "cashMemoSerialNumber".intern());
    }
    
    public Long getCashMemoSerialNumber() {
        return this.getCashMemoSerialNumber(this.getSession().getSessionContext());
    }
    
    public long getCashMemoSerialNumberAsPrimitive(final SessionContext ctx) {
        final Long value = this.getCashMemoSerialNumber(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getCashMemoSerialNumberAsPrimitive() {
        return this.getCashMemoSerialNumberAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setCashMemoSerialNumber(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "cashMemoSerialNumber".intern(), (Object)value);
    }
    
    public void setCashMemoSerialNumber(final Long value) {
        this.setCashMemoSerialNumber(this.getSession().getSessionContext(), value);
    }
    
    public void setCashMemoSerialNumber(final SessionContext ctx, final long value) {
        this.setCashMemoSerialNumber(ctx, Long.valueOf(value));
    }
    
    public void setCashMemoSerialNumber(final long value) {
        this.setCashMemoSerialNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getCgst(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "cgst".intern());
    }
    
    public String getCgst() {
        return this.getCgst(this.getSession().getSessionContext());
    }
    
    public void setCgst(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "cgst".intern(), (Object)value);
    }
    
    public void setCgst(final String value) {
        this.setCgst(this.getSession().getSessionContext(), value);
    }
    
    public String getCgstPercent(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "cgstPercent".intern());
    }
    
    public String getCgstPercent() {
        return this.getCgstPercent(this.getSession().getSessionContext());
    }
    
    public void setCgstPercent(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "cgstPercent".intern(), (Object)value);
    }
    
    public void setCgstPercent(final String value) {
        this.setCgstPercent(this.getSession().getSessionContext(), value);
    }
    
    public String getConnectionType(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "connectionType".intern());
    }
    
    public String getConnectionType() {
        return this.getConnectionType(this.getSession().getSessionContext());
    }
    
    public void setConnectionType(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "connectionType".intern(), (Object)value);
    }
    
    public void setConnectionType(final String value) {
        this.setConnectionType(this.getSession().getSessionContext(), value);
    }
    
    public String getConsumerAddress(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consumerAddress".intern());
    }
    
    public String getConsumerAddress() {
        return this.getConsumerAddress(this.getSession().getSessionContext());
    }
    
    public void setConsumerAddress(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consumerAddress".intern(), (Object)value);
    }
    
    public void setConsumerAddress(final String value) {
        this.setConsumerAddress(this.getSession().getSessionContext(), value);
    }
    
    public Long getConsumerId(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "consumerId".intern());
    }
    
    public Long getConsumerId() {
        return this.getConsumerId(this.getSession().getSessionContext());
    }
    
    public long getConsumerIdAsPrimitive(final SessionContext ctx) {
        final Long value = this.getConsumerId(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getConsumerIdAsPrimitive() {
        return this.getConsumerIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setConsumerId(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "consumerId".intern(), (Object)value);
    }
    
    public void setConsumerId(final Long value) {
        this.setConsumerId(this.getSession().getSessionContext(), value);
    }
    
    public void setConsumerId(final SessionContext ctx, final long value) {
        this.setConsumerId(ctx, Long.valueOf(value));
    }
    
    public void setConsumerId(final long value) {
        this.setConsumerId(this.getSession().getSessionContext(), value);
    }
    
    public String getConsumerName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consumerName".intern());
    }
    
    public String getConsumerName() {
        return this.getConsumerName(this.getSession().getSessionContext());
    }
    
    public void setConsumerName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consumerName".intern(), (Object)value);
    }
    
    public void setConsumerName(final String value) {
        this.setConsumerName(this.getSession().getSessionContext(), value);
    }
    
    public Long getConsumerNumber(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "consumerNumber".intern());
    }
    
    public Long getConsumerNumber() {
        return this.getConsumerNumber(this.getSession().getSessionContext());
    }
    
    public long getConsumerNumberAsPrimitive(final SessionContext ctx) {
        final Long value = this.getConsumerNumber(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getConsumerNumberAsPrimitive() {
        return this.getConsumerNumberAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setConsumerNumber(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "consumerNumber".intern(), (Object)value);
    }
    
    public void setConsumerNumber(final Long value) {
        this.setConsumerNumber(this.getSession().getSessionContext(), value);
    }
    
    public void setConsumerNumber(final SessionContext ctx, final long value) {
        this.setConsumerNumber(ctx, Long.valueOf(value));
    }
    
    public void setConsumerNumber(final long value) {
        this.setConsumerNumber(this.getSession().getSessionContext(), value);
    }
    
    public Integer getCylinderQty(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "cylinderQty".intern());
    }
    
    public Integer getCylinderQty() {
        return this.getCylinderQty(this.getSession().getSessionContext());
    }
    
    public int getCylinderQtyAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getCylinderQty(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getCylinderQtyAsPrimitive() {
        return this.getCylinderQtyAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setCylinderQty(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "cylinderQty".intern(), (Object)value);
    }
    
    public void setCylinderQty(final Integer value) {
        this.setCylinderQty(this.getSession().getSessionContext(), value);
    }
    
    public void setCylinderQty(final SessionContext ctx, final int value) {
        this.setCylinderQty(ctx, Integer.valueOf(value));
    }
    
    public void setCylinderQty(final int value) {
        this.setCylinderQty(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isDayEnd(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "dayEnd".intern());
    }
    
    public Boolean isDayEnd() {
        return this.isDayEnd(this.getSession().getSessionContext());
    }
    
    public boolean isDayEndAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isDayEnd(ctx);
        return value != null && value;
    }
    
    public boolean isDayEndAsPrimitive() {
        return this.isDayEndAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setDayEnd(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "dayEnd".intern(), (Object)value);
    }
    
    public void setDayEnd(final Boolean value) {
        this.setDayEnd(this.getSession().getSessionContext(), value);
    }
    
    public void setDayEnd(final SessionContext ctx, final boolean value) {
        this.setDayEnd(ctx, Boolean.valueOf(value));
    }
    
    public void setDayEnd(final boolean value) {
        this.setDayEnd(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryBoy(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryBoy".intern());
    }
    
    public String getDeliveryBoy() {
        return this.getDeliveryBoy(this.getSession().getSessionContext());
    }
    
    public void setDeliveryBoy(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryBoy".intern(), (Object)value);
    }
    
    public void setDeliveryBoy(final String value) {
        this.setDeliveryBoy(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryCharge(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryCharge".intern());
    }
    
    public String getDeliveryCharge() {
        return this.getDeliveryCharge(this.getSession().getSessionContext());
    }
    
    public void setDeliveryCharge(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryCharge".intern(), (Object)value);
    }
    
    public void setDeliveryCharge(final String value) {
        this.setDeliveryCharge(this.getSession().getSessionContext(), value);
    }
    
    public Date getDeliveryDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "deliveryDate".intern());
    }
    
    public Date getDeliveryDate() {
        return this.getDeliveryDate(this.getSession().getSessionContext());
    }
    
    public void setDeliveryDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "deliveryDate".intern(), (Object)value);
    }
    
    public void setDeliveryDate(final Date value) {
        this.setDeliveryDate(this.getSession().getSessionContext(), value);
    }
    
    public Integer getDeliveryOTPCode(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "deliveryOTPCode".intern());
    }
    
    public Integer getDeliveryOTPCode() {
        return this.getDeliveryOTPCode(this.getSession().getSessionContext());
    }
    
    public int getDeliveryOTPCodeAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getDeliveryOTPCode(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getDeliveryOTPCodeAsPrimitive() {
        return this.getDeliveryOTPCodeAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setDeliveryOTPCode(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "deliveryOTPCode".intern(), (Object)value);
    }
    
    public void setDeliveryOTPCode(final Integer value) {
        this.setDeliveryOTPCode(this.getSession().getSessionContext(), value);
    }
    
    public void setDeliveryOTPCode(final SessionContext ctx, final int value) {
        this.setDeliveryOTPCode(ctx, Integer.valueOf(value));
    }
    
    public void setDeliveryOTPCode(final int value) {
        this.setDeliveryOTPCode(this.getSession().getSessionContext(), value);
    }
    
    public Integer getDeliveryStatus(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "deliveryStatus".intern());
    }
    
    public Integer getDeliveryStatus() {
        return this.getDeliveryStatus(this.getSession().getSessionContext());
    }
    
    public int getDeliveryStatusAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getDeliveryStatus(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getDeliveryStatusAsPrimitive() {
        return this.getDeliveryStatusAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setDeliveryStatus(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "deliveryStatus".intern(), (Object)value);
    }
    
    public void setDeliveryStatus(final Integer value) {
        this.setDeliveryStatus(this.getSession().getSessionContext(), value);
    }
    
    public void setDeliveryStatus(final SessionContext ctx, final int value) {
        this.setDeliveryStatus(ctx, Integer.valueOf(value));
    }
    
    public void setDeliveryStatus(final int value) {
        this.setDeliveryStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getDgcc(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "dgcc".intern());
    }
    
    public String getDgcc() {
        return this.getDgcc(this.getSession().getSessionContext());
    }
    
    public void setDgcc(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "dgcc".intern(), (Object)value);
    }
    
    public void setDgcc(final String value) {
        this.setDgcc(this.getSession().getSessionContext(), value);
    }
    
    public String getDiscount(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "discount".intern());
    }
    
    public String getDiscount() {
        return this.getDiscount(this.getSession().getSessionContext());
    }
    
    public void setDiscount(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "discount".intern(), (Object)value);
    }
    
    public void setDiscount(final String value) {
        this.setDiscount(this.getSession().getSessionContext(), value);
    }
    
    public Long getDistCode(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "distCode".intern());
    }
    
    public Long getDistCode() {
        return this.getDistCode(this.getSession().getSessionContext());
    }
    
    public long getDistCodeAsPrimitive(final SessionContext ctx) {
        final Long value = this.getDistCode(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getDistCodeAsPrimitive() {
        return this.getDistCodeAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setDistCode(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "distCode".intern(), (Object)value);
    }
    
    public void setDistCode(final Long value) {
        this.setDistCode(this.getSession().getSessionContext(), value);
    }
    
    public void setDistCode(final SessionContext ctx, final long value) {
        this.setDistCode(ctx, Long.valueOf(value));
    }
    
    public void setDistCode(final long value) {
        this.setDistCode(this.getSession().getSessionContext(), value);
    }
    
    public Date getInspDateInt(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "inspDateInt".intern());
    }
    
    public Date getInspDateInt() {
        return this.getInspDateInt(this.getSession().getSessionContext());
    }
    
    public void setInspDateInt(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "inspDateInt".intern(), (Object)value);
    }
    
    public void setInspDateInt(final Date value) {
        this.setInspDateInt(this.getSession().getSessionContext(), value);
    }
    
    public Date getLastOTPResendTime(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "lastOTPResendTime".intern());
    }
    
    public Date getLastOTPResendTime() {
        return this.getLastOTPResendTime(this.getSession().getSessionContext());
    }
    
    public void setLastOTPResendTime(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "lastOTPResendTime".intern(), (Object)value);
    }
    
    public void setLastOTPResendTime(final Date value) {
        this.setLastOTPResendTime(this.getSession().getSessionContext(), value);
    }
    
    public String getLatitude(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "latitude".intern());
    }
    
    public String getLatitude() {
        return this.getLatitude(this.getSession().getSessionContext());
    }
    
    public void setLatitude(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "latitude".intern(), (Object)value);
    }
    
    public void setLatitude(final String value) {
        this.setLatitude(this.getSession().getSessionContext(), value);
    }
    
    public String getLongitude(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "longitude".intern());
    }
    
    public String getLongitude() {
        return this.getLongitude(this.getSession().getSessionContext());
    }
    
    public void setLongitude(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "longitude".intern(), (Object)value);
    }
    
    public void setLongitude(final String value) {
        this.setLongitude(this.getSession().getSessionContext(), value);
    }
    
    public Long getLpgId(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "lpgId".intern());
    }
    
    public Long getLpgId() {
        return this.getLpgId(this.getSession().getSessionContext());
    }
    
    public long getLpgIdAsPrimitive(final SessionContext ctx) {
        final Long value = this.getLpgId(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getLpgIdAsPrimitive() {
        return this.getLpgIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setLpgId(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "lpgId".intern(), (Object)value);
    }
    
    public void setLpgId(final Long value) {
        this.setLpgId(this.getSession().getSessionContext(), value);
    }
    
    public void setLpgId(final SessionContext ctx, final long value) {
        this.setLpgId(ctx, Long.valueOf(value));
    }
    
    public void setLpgId(final long value) {
        this.setLpgId(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileNumber".intern());
    }
    
    public String getMobileNumber() {
        return this.getMobileNumber(this.getSession().getSessionContext());
    }
    
    public void setMobileNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileNumber".intern(), (Object)value);
    }
    
    public void setMobileNumber(final String value) {
        this.setMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getNetBaseRate(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "netBaseRate".intern());
    }
    
    public String getNetBaseRate() {
        return this.getNetBaseRate(this.getSession().getSessionContext());
    }
    
    public void setNetBaseRate(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "netBaseRate".intern(), (Object)value);
    }
    
    public void setNetBaseRate(final String value) {
        this.setNetBaseRate(this.getSession().getSessionContext(), value);
    }
    
    public String getOperatorMobileNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "operatorMobileNumber".intern());
    }
    
    public String getOperatorMobileNumber() {
        return this.getOperatorMobileNumber(this.getSession().getSessionContext());
    }
    
    public void setOperatorMobileNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "operatorMobileNumber".intern(), (Object)value);
    }
    
    public void setOperatorMobileNumber(final String value) {
        this.setOperatorMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getOperatorName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "operatorName".intern());
    }
    
    public String getOperatorName() {
        return this.getOperatorName(this.getSession().getSessionContext());
    }
    
    public void setOperatorName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "operatorName".intern(), (Object)value);
    }
    
    public void setOperatorName(final String value) {
        this.setOperatorName(this.getSession().getSessionContext(), value);
    }
    
    public Long getOrderNo(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "orderNo".intern());
    }
    
    public Long getOrderNo() {
        return this.getOrderNo(this.getSession().getSessionContext());
    }
    
    public long getOrderNoAsPrimitive(final SessionContext ctx) {
        final Long value = this.getOrderNo(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getOrderNoAsPrimitive() {
        return this.getOrderNoAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setOrderNo(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "orderNo".intern(), (Object)value);
    }
    
    public void setOrderNo(final Long value) {
        this.setOrderNo(this.getSession().getSessionContext(), value);
    }
    
    public void setOrderNo(final SessionContext ctx, final long value) {
        this.setOrderNo(ctx, Long.valueOf(value));
    }
    
    public void setOrderNo(final long value) {
        this.setOrderNo(this.getSession().getSessionContext(), value);
    }
    
    public Date getOtpBlockedTime(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "otpBlockedTime".intern());
    }
    
    public Date getOtpBlockedTime() {
        return this.getOtpBlockedTime(this.getSession().getSessionContext());
    }
    
    public void setOtpBlockedTime(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "otpBlockedTime".intern(), (Object)value);
    }
    
    public void setOtpBlockedTime(final Date value) {
        this.setOtpBlockedTime(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isOtpSent(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "otpSent".intern());
    }
    
    public Boolean isOtpSent() {
        return this.isOtpSent(this.getSession().getSessionContext());
    }
    
    public boolean isOtpSentAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isOtpSent(ctx);
        return value != null && value;
    }
    
    public boolean isOtpSentAsPrimitive() {
        return this.isOtpSentAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setOtpSent(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "otpSent".intern(), (Object)value);
    }
    
    public void setOtpSent(final Boolean value) {
        this.setOtpSent(this.getSession().getSessionContext(), value);
    }
    
    public void setOtpSent(final SessionContext ctx, final boolean value) {
        this.setOtpSent(ctx, Boolean.valueOf(value));
    }
    
    public void setOtpSent(final boolean value) {
        this.setOtpSent(this.getSession().getSessionContext(), value);
    }
    
    public String getPaymentMode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "paymentMode".intern());
    }
    
    public String getPaymentMode() {
        return this.getPaymentMode(this.getSession().getSessionContext());
    }
    
    public void setPaymentMode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "paymentMode".intern(), (Object)value);
    }
    
    public void setPaymentMode(final String value) {
        this.setPaymentMode(this.getSession().getSessionContext(), value);
    }
    
    public Long getProductCode(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "productCode".intern());
    }
    
    public Long getProductCode() {
        return this.getProductCode(this.getSession().getSessionContext());
    }
    
    public long getProductCodeAsPrimitive(final SessionContext ctx) {
        final Long value = this.getProductCode(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getProductCodeAsPrimitive() {
        return this.getProductCodeAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setProductCode(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "productCode".intern(), (Object)value);
    }
    
    public void setProductCode(final Long value) {
        this.setProductCode(this.getSession().getSessionContext(), value);
    }
    
    public void setProductCode(final SessionContext ctx, final long value) {
        this.setProductCode(ctx, Long.valueOf(value));
    }
    
    public void setProductCode(final long value) {
        this.setProductCode(this.getSession().getSessionContext(), value);
    }
    
    public String getProductName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "productName".intern());
    }
    
    public String getProductName() {
        return this.getProductName(this.getSession().getSessionContext());
    }
    
    public void setProductName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "productName".intern(), (Object)value);
    }
    
    public void setProductName(final String value) {
        this.setProductName(this.getSession().getSessionContext(), value);
    }
    
    public String getReferenceId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "referenceId".intern());
    }
    
    public String getReferenceId() {
        return this.getReferenceId(this.getSession().getSessionContext());
    }
    
    public void setReferenceId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "referenceId".intern(), (Object)value);
    }
    
    public void setReferenceId(final String value) {
        this.setReferenceId(this.getSession().getSessionContext(), value);
    }
    
    public Long getRefillId(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "refillId".intern());
    }
    
    public Long getRefillId() {
        return this.getRefillId(this.getSession().getSessionContext());
    }
    
    public long getRefillIdAsPrimitive(final SessionContext ctx) {
        final Long value = this.getRefillId(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getRefillIdAsPrimitive() {
        return this.getRefillIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setRefillId(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "refillId".intern(), (Object)value);
    }
    
    public void setRefillId(final Long value) {
        this.setRefillId(this.getSession().getSessionContext(), value);
    }
    
    public void setRefillId(final SessionContext ctx, final long value) {
        this.setRefillId(ctx, Long.valueOf(value));
    }
    
    public void setRefillId(final long value) {
        this.setRefillId(this.getSession().getSessionContext(), value);
    }
    
    public Date getScheduleDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "scheduleDate".intern());
    }
    
    public Date getScheduleDate() {
        return this.getScheduleDate(this.getSession().getSessionContext());
    }
    
    public void setScheduleDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "scheduleDate".intern(), (Object)value);
    }
    
    public void setScheduleDate(final Date value) {
        this.setScheduleDate(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isSentToLPGNxt(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "sentToLPGNxt".intern());
    }
    
    public Boolean isSentToLPGNxt() {
        return this.isSentToLPGNxt(this.getSession().getSessionContext());
    }
    
    public boolean isSentToLPGNxtAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isSentToLPGNxt(ctx);
        return value != null && value;
    }
    
    public boolean isSentToLPGNxtAsPrimitive() {
        return this.isSentToLPGNxtAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setSentToLPGNxt(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "sentToLPGNxt".intern(), (Object)value);
    }
    
    public void setSentToLPGNxt(final Boolean value) {
        this.setSentToLPGNxt(this.getSession().getSessionContext(), value);
    }
    
    public void setSentToLPGNxt(final SessionContext ctx, final boolean value) {
        this.setSentToLPGNxt(ctx, Boolean.valueOf(value));
    }
    
    public void setSentToLPGNxt(final boolean value) {
        this.setSentToLPGNxt(this.getSession().getSessionContext(), value);
    }
    
    public String getSgst(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "sgst".intern());
    }
    
    public String getSgst() {
        return this.getSgst(this.getSession().getSessionContext());
    }
    
    public void setSgst(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "sgst".intern(), (Object)value);
    }
    
    public void setSgst(final String value) {
        this.setSgst(this.getSession().getSessionContext(), value);
    }
    
    public String getSgstPercent(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "sgstPercent".intern());
    }
    
    public String getSgstPercent() {
        return this.getSgstPercent(this.getSession().getSessionContext());
    }
    
    public void setSgstPercent(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "sgstPercent".intern(), (Object)value);
    }
    
    public void setSgstPercent(final String value) {
        this.setSgstPercent(this.getSession().getSessionContext(), value);
    }
    
    public String getSubsidyQuota(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "subsidyQuota".intern());
    }
    
    public String getSubsidyQuota() {
        return this.getSubsidyQuota(this.getSession().getSessionContext());
    }
    
    public void setSubsidyQuota(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "subsidyQuota".intern(), (Object)value);
    }
    
    public void setSubsidyQuota(final String value) {
        this.setSubsidyQuota(this.getSession().getSessionContext(), value);
    }
    
    public Date getTubeDateInt(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "tubeDateInt".intern());
    }
    
    public Date getTubeDateInt() {
        return this.getTubeDateInt(this.getSession().getSessionContext());
    }
    
    public void setTubeDateInt(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "tubeDateInt".intern(), (Object)value);
    }
    
    public void setTubeDateInt(final Date value) {
        this.setTubeDateInt(this.getSession().getSessionContext(), value);
    }
    
    public Integer getUnDeliveredReason(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "unDeliveredReason".intern());
    }
    
    public Integer getUnDeliveredReason() {
        return this.getUnDeliveredReason(this.getSession().getSessionContext());
    }
    
    public int getUnDeliveredReasonAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getUnDeliveredReason(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getUnDeliveredReasonAsPrimitive() {
        return this.getUnDeliveredReasonAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setUnDeliveredReason(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "unDeliveredReason".intern(), (Object)value);
    }
    
    public void setUnDeliveredReason(final Integer value) {
        this.setUnDeliveredReason(this.getSession().getSessionContext(), value);
    }
    
    public void setUnDeliveredReason(final SessionContext ctx, final int value) {
        this.setUnDeliveredReason(ctx, Integer.valueOf(value));
    }
    
    public void setUnDeliveredReason(final int value) {
        this.setUnDeliveredReason(this.getSession().getSessionContext(), value);
    }
    
    public String getUtgst(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "utgst".intern());
    }
    
    public String getUtgst() {
        return this.getUtgst(this.getSession().getSessionContext());
    }
    
    public void setUtgst(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "utgst".intern(), (Object)value);
    }
    
    public void setUtgst(final String value) {
        this.setUtgst(this.getSession().getSessionContext(), value);
    }
    
    public String getUtgstPercent(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "utgstPercent".intern());
    }
    
    public String getUtgstPercent() {
        return this.getUtgstPercent(this.getSession().getSessionContext());
    }
    
    public void setUtgstPercent(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "utgstPercent".intern(), (Object)value);
    }
    
    public void setUtgstPercent(final String value) {
        this.setUtgstPercent(this.getSession().getSessionContext(), value);
    }
    
    public Integer getWrongOTPCounter(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "wrongOTPCounter".intern());
    }
    
    public Integer getWrongOTPCounter() {
        return this.getWrongOTPCounter(this.getSession().getSessionContext());
    }
    
    public int getWrongOTPCounterAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getWrongOTPCounter(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getWrongOTPCounterAsPrimitive() {
        return this.getWrongOTPCounterAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setWrongOTPCounter(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "wrongOTPCounter".intern(), (Object)value);
    }
    
    public void setWrongOTPCounter(final Integer value) {
        this.setWrongOTPCounter(this.getSession().getSessionContext(), value);
    }
    
    public void setWrongOTPCounter(final SessionContext ctx, final int value) {
        this.setWrongOTPCounter(ctx, Integer.valueOf(value));
    }
    
    public void setWrongOTPCounter(final int value) {
        this.setWrongOTPCounter(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("cashMemoSerialNumber", Item.AttributeMode.INITIAL);
        tmp.put("cashMemoDate", Item.AttributeMode.INITIAL);
        tmp.put("operatorMobileNumber", Item.AttributeMode.INITIAL);
        tmp.put("operatorName", Item.AttributeMode.INITIAL);
        tmp.put("distCode", Item.AttributeMode.INITIAL);
        tmp.put("refillId", Item.AttributeMode.INITIAL);
        tmp.put("consumerNumber", Item.AttributeMode.INITIAL);
        tmp.put("lpgId", Item.AttributeMode.INITIAL);
        tmp.put("consumerId", Item.AttributeMode.INITIAL);
        tmp.put("bookDate", Item.AttributeMode.INITIAL);
        tmp.put("orderNo", Item.AttributeMode.INITIAL);
        tmp.put("cashMemoNo", Item.AttributeMode.INITIAL);
        tmp.put("cashMemoAmount", Item.AttributeMode.INITIAL);
        tmp.put("productName", Item.AttributeMode.INITIAL);
        tmp.put("cylinderQty", Item.AttributeMode.INITIAL);
        tmp.put("consumerName", Item.AttributeMode.INITIAL);
        tmp.put("consumerAddress", Item.AttributeMode.INITIAL);
        tmp.put("areaId", Item.AttributeMode.INITIAL);
        tmp.put("area", Item.AttributeMode.INITIAL);
        tmp.put("mobileNumber", Item.AttributeMode.INITIAL);
        tmp.put("connectionType", Item.AttributeMode.INITIAL);
        tmp.put("tubeDateInt", Item.AttributeMode.INITIAL);
        tmp.put("inspDateInt", Item.AttributeMode.INITIAL);
        tmp.put("deliveryBoy", Item.AttributeMode.INITIAL);
        tmp.put("paymentMode", Item.AttributeMode.INITIAL);
        tmp.put("scheduleDate", Item.AttributeMode.INITIAL);
        tmp.put("action", Item.AttributeMode.INITIAL);
        tmp.put("productCode", Item.AttributeMode.INITIAL);
        tmp.put("latitude", Item.AttributeMode.INITIAL);
        tmp.put("longitude", Item.AttributeMode.INITIAL);
        tmp.put("deliveryStatus", Item.AttributeMode.INITIAL);
        tmp.put("deliveryDate", Item.AttributeMode.INITIAL);
        tmp.put("deliveryOTPCode", Item.AttributeMode.INITIAL);
        tmp.put("referenceId", Item.AttributeMode.INITIAL);
        tmp.put("sentToLPGNxt", Item.AttributeMode.INITIAL);
        tmp.put("dayEnd", Item.AttributeMode.INITIAL);
        tmp.put("alternateMobile1", Item.AttributeMode.INITIAL);
        tmp.put("alternateMobile2", Item.AttributeMode.INITIAL);
        tmp.put("alternateMobile3", Item.AttributeMode.INITIAL);
        tmp.put("unDeliveredReason", Item.AttributeMode.INITIAL);
        tmp.put("otpBlockedTime", Item.AttributeMode.INITIAL);
        tmp.put("otpSent", Item.AttributeMode.INITIAL);
        tmp.put("wrongOTPCounter", Item.AttributeMode.INITIAL);
        tmp.put("lastOTPResendTime", Item.AttributeMode.INITIAL);
        tmp.put("dgcc", Item.AttributeMode.INITIAL);
        tmp.put("baseRate", Item.AttributeMode.INITIAL);
        tmp.put("discount", Item.AttributeMode.INITIAL);
        tmp.put("deliveryCharge", Item.AttributeMode.INITIAL);
        tmp.put("netBaseRate", Item.AttributeMode.INITIAL);
        tmp.put("cgst", Item.AttributeMode.INITIAL);
        tmp.put("cgstPercent", Item.AttributeMode.INITIAL);
        tmp.put("sgst", Item.AttributeMode.INITIAL);
        tmp.put("sgstPercent", Item.AttributeMode.INITIAL);
        tmp.put("utgst", Item.AttributeMode.INITIAL);
        tmp.put("utgstPercent", Item.AttributeMode.INITIAL);
        tmp.put("subsidyQuota", Item.AttributeMode.INITIAL);
        tmp.put("advTotalAmount", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
